Subject: bug#19606: 24.4; Emacs hangs when editing a 5-line Org file

From: Fabrice Niessen <[email-masked]>
Date: Fri, 16 Jan 2015 13:04:00 +0100

Eli Zaretskii wrote:
>> From: Fabrice Niessen <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 16 Jan 2015 12:27:16 +0100
>> 
>> OK, so I just reproduced the problem once again, then:
>> 
>> - tried to C-g in Emacs: impossible!
>> - launched GDB
>> - source ~/.gdbinit
>> - thread 1
>> - thread apply all backtrace
>> 
>> Still, the backtrace is not as long as normal, and I don't get any GDB
>> prompt anymore!
>
> Can you show what this produced.

It's in the video, but I forgot to copy it.

I just re-did the ABOVE for a new Emacs session, to get something
similar to the results in the video.

--8<---------------cut here---------------start------------->8---
$ gdb -p 5676
GNU gdb (GDB) 7.8
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-pc-cygwin".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word".
/cygdrive/d/Users/fni/.gdbinit:19: Error in sourced command file:
No symbol table is loaded.  Use the "file" command.
Attaching to process 5676
[New Thread 5676.0x4bbc]
[New Thread 5676.0x4b30]
[New Thread 5676.0x3374]
[New Thread 5676.0x1878]
[New Thread 5676.0x4634]
[New Thread 5676.0x61b0]
[New Thread 5676.0x2564]
[New Thread 5676.0x2d4c]
[New Thread 5676.0x155c]
[New Thread 5676.0x4ac0]
[New Thread 5676.0x5998]
[New Thread 5676.0x4be4]
[New Thread 5676.0x369c]
[New Thread 5676.0x3c7c]
Reading symbols from /cygdrive/c/Program Files (x86)/emacs-24.4/bin/emacs.exe...done.
0x77d3f925 in ntdll!DbgBreakPoint ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb) source ~/.gdbinit
Warning: /cygdrive/c/Program Files (x86)/emacs-24.4/bin/../lwlib: No such file or directory.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
Environment variable "DISPLAY" not defined.
TERM = xterm-256color
Breakpoint 1 at 0x109436d: file ../../emacs-24.4/src/emacs.c, line 350.
Temporary breakpoint 2 at 0x10aa8ce: file ../../emacs-24.4/src/sysdep.c, line 850.
(gdb) thread 1
[Switching to thread 1 (Thread 5676.0x4bbc)]
#0  find_interval (tree=0x6d129a4, position=138)
    at ../../emacs-24.4/src/intervals.c:690
(gdb) 690       ../../emacs-24.4/src/intervals.c: No such file or directory.

[Switching to thread 1 (Thread 5676.0x4bbc)]
#0  find_interval (tree=0x6d129a4, position=138)
    at ../../emacs-24.4/src/intervals.c:690
690     in ../../emacs-24.4/src/intervals.c
(gdb) thread apply all backtrace

Thread 14 (Thread 5676.0x3c7c):
#0  0x77d3f925 in ntdll!DbgBreakPoint ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
#1  0x77dadb8c in ntdll!DbgUiRemoteBreakin ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
#2  0x95b35457 in ?? ()
#3  0x00000000 in ?? ()

Lisp Backtrace:
"redisplay_internal (C function)" (0x1407e78)
"redisplay" (0x88f254)
"sit-for" (0x88f3a8)
"flyspell-check-word-p" (0x88f4f8)
"byte-code" (0x88f610)
"flyspell-post-command-hook" (0x88f844)

Thread 13 (Thread 5676.0x369c):
#0  0x77d3de5c in ntdll!ZwDelayExecution ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
#1  0x755311f8 in SleepEx () from /cygdrive/c/Windows/SYSTEM32/KERNELBASE.dll
#2  0x00000001 in ?? ()
#3  0x6f5aff20 in ?? ()
#4  0x0114ab1e in watch_worker (arg=0x3bf5c00)
    at ../../emacs-24.4/src/w32notify.c:278
#5  0x775b86e3 in KERNEL32!BaseThreadInitThunk ()
   from /cygdrive/c/Windows/SYSTEM32/KERNEL32.DLL
#6  0x77d6be19 in ntdll!RtlInitializeExceptionChain ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
#7  0x77d6bdec in ntdll!RtlInitializeExceptionChain ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
#8  0x00000000 in ?? ()
[Thread 5676.0x3c7c exited with code 0]
--8<---------------cut here---------------end--------------->8---

>> I tried to C-c in the shell window, as well without success...
>> 
>> What can I do to provide you with more context?
>
> Try this instead:
>
>  - reproduce the problem
>  - attach GDB, but do NOT "source ~/.gdbinit"
>  - thread 1
>  - backtrace

Here is it (http://screencast.com/t/o9BVgY7hWN):

--8<---------------cut here---------------start------------->8---
$ gdb -p 17252
GNU gdb (GDB) 7.8
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-pc-cygwin".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word".
/cygdrive/d/Users/fni/.gdbinit:19: Error in sourced command file:
No symbol table is loaded.  Use the "file" command.
Attaching to process 17252
[New Thread 17252.0x44f0]
[New Thread 17252.0x1404]
[New Thread 17252.0x1658]
[New Thread 17252.0x53ac]
[New Thread 17252.0x5634]
[New Thread 17252.0xd54]
[New Thread 17252.0x485c]
[New Thread 17252.0x4e34]
[New Thread 17252.0x3484]
[New Thread 17252.0x3f3c]
[New Thread 17252.0xe38]
[New Thread 17252.0x1730]
[New Thread 17252.0x10dc]
[New Thread 17252.0x5fc0]
[New Thread 17252.0x38a8]
Reading symbols from /cygdrive/c/Program Files (x86)/emacs-24.4/bin/emacs.exe...done.
0x77d3f925 in ntdll!DbgBreakPoint ()
   from /cygdrive/c/Windows/SYSTEM32/ntdll.dll
(gdb) thread 1
[Switching to thread 1 (Thread 17252.0x44f0)]
#0  0x01142191 in Fnext_single_property_change (position=position@entry=540,
    prop=62947906, object=118795585, limit=limit@entry=1356)
    at ../../emacs-24.4/src/textprop.c:1034
1034    ../../emacs-24.4/src/textprop.c: No such file or directory.
(gdb) backtrace
#0  0x01142191 in Fnext_single_property_change (position=position@entry=540,
    prop=62947906, object=118795585, limit=limit@entry=1356)
    at ../../emacs-24.4/src/textprop.c:1034
#1  0x0102e54f in handle_invisible_prop (it=0x889a14)
    at ../../emacs-24.4/src/xdisp.c:4379
#2  0x01022e18 in handle_stop (it=it@entry=0x889a14)
    at ../../emacs-24.4/src/xdisp.c:3478
#3  0x010231e9 in next_element_from_string (it=0x889a14)
    at ../../emacs-24.4/src/xdisp.c:7915
#4  0x01025e1c in get_next_display_element (it=it@entry=0x889a14)
    at ../../emacs-24.4/src/xdisp.c:6925
#5  0x0102b00f in display_line (it=<optimized out>)
    at ../../emacs-24.4/src/xdisp.c:20183
#6  0x00000000 in ?? ()
(gdb)
--8<---------------cut here---------------end--------------->8---